Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class NonFlushedChangesImpl

    java.lang.Object
      org.hibernate.internal.NonFlushedChangesImpl

All Implemented Interfaces:
  Serializable, NonFlushedChanges

    public final class NonFlushedChangesImpl

extends Object
implements NonFlushedChanges, Serializable

See Also:
  Serialized Form

Constructor Summary
`NonFlushedChangesImpl(EventSource session)`

Method Summary
`void` | `clear()` Remove the non-flushed changes from this NonFlushedChanges object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonFlushedChangesImpl

    public NonFlushedChangesImpl(EventSource session)

Method Detail

### clear

    public void clear()

  Description copied from interface: `NonFlushedChanges`
  Remove the non-flushed changes from this NonFlushedChanges object.

  Specified by:
    `clear` in interface `NonFlushedChanges`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.